org.jgrapht.graph

## Class UndirectedGraphUnion<V,E>

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.GraphUnion<V,E,UndirectedGraph<V,E>>
    - - org.jgrapht.graph.UndirectedGraphUnion<V,E>

- All Implemented Interfaces:
    Serializable, Graph<V,E>, UndirectedGraph<V,E>

      public class UndirectedGraphUnion<V,E>
      extends GraphUnion<V,E,UndirectedGraph<V,E>>
      implements UndirectedGraph<V,E>

  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `degreeOf(V vertex)` Returns the degree of the specified vertex.

    - ### Methods inherited from class org.jgrapht.graph.GraphUnion

      `addEdge, addEdge, addVertex, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, getG1, getG2, removeEdge, removeEdge, removeVertex, vertexSet`

    - ### Methods inherited from class org.jgrapht.graph.AbstractGraph

      `assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Method Detail

    - #### degreeOf

          public int degreeOf(V vertex)

      Description copied from interface: `UndirectedGraph`
      Returns the degree of the specified vertex. A degree of a vertex in an undirected graph is the number of edges touching that vertex.
      Specified by:
        `degreeOf` in interface `UndirectedGraph<V,E>`
      Parameters:
        `vertex` - vertex whose degree is to be calculated.
      Returns:
        the degree of the specified vertex.

Copyright © 2016. All rights reserved.